<?php

namespace App\Orchid\Layouts\Banner;

use Orchid\Screen\Layouts\Rows;
use Orchid\Screen\Fields\Input;

class BannerCreateLayout extends Rows {
  protected $title;

  protected function fields(): iterable {
    return [
      Input::make('banner.title_line_1')
        ->required()
        ->placeholder('Title Line 1')
        ->title('Title Line 1'),

      Input::make('banner.title_line_2')
        ->required()
        ->placeholder('Title Line 2')
        ->title('Title Line 2'),

      Input::make('banner.button_text')
        ->required()
        ->placeholder('Button Text')
        ->title('Button Text'),

      Input::make('banner.image')
        ->required()
        ->type('file')
        ->title('Image')
      // ->help('Recommended size: 1420x800 for Home v.1, 1420x600 for Home v.2'),
    ];
  }
}
